% STATISMO-WARP-IMAGE(8)

# NAME

statismo-warp-image - Applies a deformation field to an image.

# SYNOPSIS

statismo-warp-image -i *image* -f *deformation-field* *output-file*

# DESCRIPTION

statismo-warp-image is used to apply a deformation field to an image. With this command the deformation fields generated by *statismo-fit-image* and *statismo-sample* can be applied to images.

# OPTIONS

-d, \--dimensionality 
:	Specifies the dimensionality of the image and deformation field (either 2 or 3).

-i, \--input-file *IMAGE_FILE*
:	*MODEL_FILE* is the path to the original image.

-f, \--input-deformation-field *DEFORMATION_FIELD_FILE*
:	Draws the mean from the model and saves it.

-o, \--output-file *OUTPUT_FILE*
:	*OUTPUT_FILE* is the path where the warped image will be saved.




 
# Examples 
Apply a 3D deformation field to a 3D image:

    statismo-warp-image -i original-image.vtk -f deformation-field.vtk warped-image.vtk

Apply a 2D deformation field to a 2D image:

    statismo-warp-image -d 2 -i original-image.vtk -f deformation-field.vtk warped-image.vtk


# SEE ALSO

##Building Models:
*statismo-build-shape-model* (8).
Builds shape models from a list of meshes.

*statismo-build-deformation-model* (8).
Builds deformation models from a list of deformation fields

*statismo-build-gp-model* (8).
Builds shape or deformation models from a given gaussian process definition.

##Working with models:

*statismo-sample* (8).
Draws samples from a model.

*statismo-reduce-model* (8).
Reduces the number of components in a model.

*statismo-posterior* (8).
Creates a posterior model from an existing model.

*statismo-fit-surface* (8).
Fits a model iteratively in to a target mesh.

*statismo-fit-image* (8).
Fits a model iteratively to an image.

*statismo-warp-image* (8).
Applies a deformation field to an image.



